%define iwl5000_v1         5.4.A.11
%define iwl5000_v2         8.24.2.12
%define iwl5000_v5         8.83.5.1
%define iwl5000_list       %{iwl5000_v1} %{iwl5000_v2} %{iwl5000_v5}

Name:           iwl5000-firmware
Version:        %{iwl5000_v5}_1
Release:        1%{?dist}.1
Summary:        Firmware for Intel® PRO/Wireless 5000 A/G/N network adaptors

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://intellinuxwireless.org/
Source0:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-%{iwl5000_v1}.tar.gz
Source1:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-%{iwl5000_v2}.tgz
Source2:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-%{iwl5000_v5}-1.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch


%description
This package contains the firmware required by the iwl5000 driver for Linux.
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE file. Please read it carefully.

%prep
%setup -c -q
%setup -c -q -D -T -a 1 -a 2

# Temporarily hack the directory name to overcome Intel's release wierdness...
#pushd iwlwifi-5000-ucode-%{version}
pushd iwlwifi-5000-ucode-8.83.5.1
# Change encoding
sed -i 's/\r//'  LICENSE.iwlwifi-5000-ucode README.iwlwifi-5000-ucode
# Rename docs
mv LICENSE.iwlwifi-5000-ucode ../LICENSE
mv README.iwlwifi-5000-ucode ../README
# Preserve timestamp
touch -r *.ucode ../LICENSE ../README
popd


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
for f in %{iwl5000_list} ; do
pushd iwlwifi-5000-ucode-$f
install -pm 0644 *.ucode $RPM_BUILD_ROOT/lib/firmware/
popd
done


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*.ucode


%changelog

